﻿using UnitConvertor.UnitConvertorEnums;

namespace UnitConvertor.UnitConvertorBase
{
    public class LengthConverter : UnitConverter<Length, float>
    {
        public LengthConverter()
        {
             BaseUnit = Length.Milimeter;
             RegisterConversion(Length.Centimeter, v => v / 100f, v => v * 100f);
             RegisterConversion(Length.Meter, v => v / 1000f, v => v * 1000f);
             RegisterConversion(Length.Kilometer, v => v / 1000000f, v => v * 1000000f);
        }
    }
}
