﻿using System.ComponentModel;
using System.Globalization;
using System.Windows.Data;
using UnitConvertor.Translation;

namespace UnitConvertor.UnitConvertorWindow
{
    public class MainWindowViewModel
    {
        public ICollectionView Languages { get; private set; }
        public float Value { get; set; }

        public MainWindowViewModel()
        {
            Languages = CollectionViewSource.GetDefaultView(TranslationManager.Instance.Languages);
            Languages.CurrentChanged += (s, e) => TranslationManager.Instance.CurrentLanguage = (CultureInfo)Languages.CurrentItem;
        }
    }
}
