﻿using System.Windows;
using System.Reflection;
using UnitConvertor.Translation;

namespace UnitConvertor
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            TranslationManager.Instance.TranslationProvider = new ResxTranslationProvider("UnitConvertor.Resources.Resources", Assembly.GetExecutingAssembly());
            base.OnStartup(e);
        }
    }
}
