﻿using UnitConvertor.UnitConvertorEnums;

namespace UnitConvertor.UnitConvertorBase
{
    public class TransferRateConverter : UnitConverter<TransferRate, float>
    {
        public TransferRateConverter()
        {
            BaseUnit = TransferRate.Byte;
            RegisterConversion(TransferRate.KiloByte, v => v / 1024f, v => v * 1024f);
            RegisterConversion(TransferRate.MegaByte, v => v / 1048576f, v => v * 1048576f);
            RegisterConversion(TransferRate.GigaByte, v => v / 1073741828f, v => v * 1073741828f);
        }
    }
}
