﻿using UnitConvertor.UnitConvertorEnums;

namespace UnitConvertor.UnitConvertorBase
{
    public class WeightConverter : UnitConverter<Weight, float>
    {
        public WeightConverter()
        {
            BaseUnit = Weight.Gram;
            RegisterConversion(Weight.Dekagram, v => v / 10f, v => v * 10f);
            RegisterConversion(Weight.Kilogram, v => v / 100f, v => v * 100f);
            RegisterConversion(Weight.Ton, v => v / 1000000f, v => v * 1000000f);
            
        }
    }
}
